/// The package name.
const packageName = 'flavored_env';

const String kTemplateName = 'flavored_env.yaml';

const String kCommentEnv = '#';
const String kCommentDart = '//';

List<String> defaultDotenvPath = ['lib'];
List<String> defaultClassPath = ['lib'];

const String kEnvironmentClass = 'EnvironmentClassDefault';

const String infoField = 'info';
const String valueField = 'value';
const String keysField = 'keys';

const String dotenvTo = 'dotenv_to';
const String classTo = 'class_to';
const String flavors = 'flavors';

// command line argument to generate the env files
const String cmdGenerate = 'generate';

// command line argument to create a template yaml file
const String cmdCreate = 'create-yaml';

const String kYamlTemplate = '''
dotenv_to:  
  # list of existing subfolders where to generate the .env files. 
  - lib/config
  - functions

class_to:
  # List of existing subfolders where to generate the dart config files.
  - lib  # (default)
  - lib/config

# Name of the dart class to encaspulate all the constants. The same class
# is generated for each flavor, but the file name will have a _<flavor> suffix  
class_name: EnvConfig

flavors:
# List of application flavors. 
  default:
  # The default flavor will become .env.default 
    keys:
      user_collection_name:              # key name
        value: "users"                   # key value
        info: "user collection name"     # optional info to keep with the output.   

      show_exception_on_crash:
        value: false
        info: "display exception to users upon app crash"
        
      additional_debug_timeout:
        value: 0
        info: "additional timeout added to the app for testing"
        
  development:
    # The development flavor will become .env.development 
    keys:
      # the collection name will be propagated from the 'default' configuration for dart. 

      show_exception_on_crash: # overriden constant for development.
        value: true
        info: "display exception to users upon app crash"
        
      additional_debug_timeout: # overriden constant for development.
        value: 0
        info: "additional timeout added to the app for testing"

      slack_url: 
        value: https://slack.com/abcd_dev
        info: webhook url for development environment
  beta:
    keys:
      slack_url: 
        value: https://slack.com/jkdl_beta
        info: webhook url for development environment
        
  production:
    keys:
      slack_url: 
        value: https://slack.com/xyz_production
        info: webhook url for development environment
      
      fancy_value_prod_only:
        value: 42
        info: constant only available in production

''';
