String camelCaseToUpperUnderscore(String camelCase) {
  return camelCase.replaceAllMapped(RegExp('(?<=[a-z])[A-Z]'), (Match m) {
    return '_${m.group(0)!}';
  }).toUpperCase();
}

String camelCaseToLowerUnderscore(String camelCase) {
  return camelCase.replaceAllMapped(RegExp('(?<=[a-z])[A-Z]'), (Match m) {
    return '_${m.group(0)!}';
  }).toLowerCase();
}

String underscoreToCamelCase(String underscore) => underscore
    .toLowerCase()
    .replaceAllMapped(
      RegExp(r'(?:_|\b)(\w)', caseSensitive: false, multiLine: true),
      (Match m) => '${m.group(1)}'.toUpperCase(),
    )
    .replaceFirstMapped(
      RegExp('(?=^.)[A-Z]'),
      (Match m) => '${m.group(0)}'.toLowerCase(),
    );
