import 'dart:io';

import 'package:flavored_env/src/models/flavor.dart';
import 'package:test/expect.dart';
import 'package:test/scaffolding.dart';
import 'package:yaml/yaml.dart';

void main() {
  group('Flavor', () {
    test('create with empty map', () {
      final Flavor flavor = Flavor.fromYamlMap('default', YamlMap());

      expect(flavor.name, 'default');
      expect(flavor.info, isEmpty);
      expect(flavor.keys, isEmpty);
    });

    test('create with map object', () {
      final File file = File('test/fixtures/flavor1.yaml');
      final YamlMap yamlMap = loadYaml(file.readAsStringSync()) as YamlMap;

      final Flavor flavor = Flavor.fromYamlMap('name', yamlMap);
      expect(flavor.name, 'name');
      expect(flavor.info, isEmpty);
      expect(flavor.keys.keys, ['my_first_key', 'the_hello_key']);
    });
  });
}
